`GaimMenuAction' undeclared

Help
2006-06-22
2013-04-22
  • Christian Roy

    Christian Roy - 2006-06-22

    I downloaded gaim 1.5.0 source, compiled and installed.
    I downloaded gaim-encryption and I cannot compile it.
    I get an error when trying to ruin "make".
    I had a version 1.3.1 before which got overriden when I installed 1.5.0 (both from source installed in /usr/local)
    I used "./configure" and it worked. (no error messages seen)

    When I run make, I get:
    gcc -DHAVE_CONFIG_H -I. -I. -I. -DLOCALEDIR=\"/usr/local/share/locale\" -DLIBDIR=\"/usr/local/lib/gaim/\" -DDATADIR=\"/usr/local/share\" -DGAIM_DATADIR=\"/usr/local/share\" -I/usr/local/include/gaim -I/opt/gnome/include/glib-2.0 -I/opt/gnome/lib/glib-2.0/include -I/opt/mozilla/include/nss -I/opt/mozilla/include/nspr -I/opt/gnome/include/gtk-2.0 -I/opt/gnome/lib/gtk-2.0/include -I/opt/gnome/include/atk-1.0 -I/opt/gnome/include/pango-1.0 -I/usr/X11R6/include -I/usr/include/freetype2 -I/usr/include/freetype2/config -I/opt/gnome/include/glib-2.0 -I/opt/gnome/lib/glib-2.0/include -Wall -fno-strict-aliasing -g -O2 -c ge_blist.c  -fPIC -DPIC -o .libs/ge_blist.o
    ge_blist.c: In function `GE_buddy_menu_cb':
    ge_blist.c:54: error: `GaimMenuAction' undeclared (first use in this function)
    ge_blist.c:54: error: (Each undeclared identifier is reported only once
    ge_blist.c:54: error: for each function it appears in.)
    ge_blist.c:54: error: `action' undeclared (first use in this function)
    ge_blist.c:65: warning: implicit declaration of function `gaim_menu_action_new'
    make[2]: *** [ge_blist.lo] Error 1
    make[2]: Leaving directory `/home/roychri/tmp/gaim-encryption-3.0beta5'
    make[1]: *** [all-recursive] Error 1
    make[1]: Leaving directory `/home/roychri/tmp/gaim-encryption-3.0beta5'
    make: *** [all-recursive-am] Error 2

    I only have one gaim.pc : /usr/local/lib/pkgconfig/gaim.pc

    My system:
    SuSE 9.1
    Gaim 1.5.0
    uname -m = i686
    uname -r = 2.6.8-0-default
    GNU Autoconf 2.59
    gcc (GCC) 3.3.3

    I searcon on google for (GaimMenuAction undeclared) but nothing came out. I search these forums for GaimMenuAction and nothing was found. I search google for GaimMenuAction and only source code was found.

    Any pointers would be appreciated.

    Thank you.

    -ChristianRoy

     
    • hjheins

      hjheins - 2006-06-25

      What version of gaim-encryption are you using?
      version 2.xx are fine for gaim 1.5.0, but versions 3.xx are for gaim 2.0.0beta

       
      • Christian Roy

        Christian Roy - 2006-06-25

        Hello,

        I tried to provide as much information as possible and I ommited the version of gaim-encryption... Sorry!

        I was trying to compile gaim-encryption-3.0beta5 with gaim 1.5.0.

        I was able to successfully install and use gaim-encryption now that I installed version 2.38.

        Thank you.

         

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks